Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core
Interface InstrVisitor

All Known Implementing Classes:
  AbstractInterpreter, BaseInterpreter, CodeMap.CodeBuilder, GenInterpreter, ISEInterpreter

public interface InstrVisitor

Method Summary
`void` | `visit(Instr.ADC i)`
`void` | `visit(Instr.ADD i)`
`void` | `visit(Instr.ADIW i)`
`void` | `visit(Instr.AND i)`
`void` | `visit(Instr.ANDI i)`
`void` | `visit(Instr.ASR i)`
`void` | `visit(Instr.BCLR i)`
`void` | `visit(Instr.BLD i)`
`void` | `visit(Instr.BRBC i)`
`void` | `visit(Instr.BRBS i)`
`void` | `visit(Instr.BRCC i)`
`void` | `visit(Instr.BRCS i)`
`void` | `visit(Instr.BREAK i)`
`void` | `visit(Instr.BREQ i)`
`void` | `visit(Instr.BRGE i)`
`void` | `visit(Instr.BRHC i)`
`void` | `visit(Instr.BRHS i)`
`void` | `visit(Instr.BRID i)`
`void` | `visit(Instr.BRIE i)`
`void` | `visit(Instr.BRLO i)`
`void` | `visit(Instr.BRLT i)`
`void` | `visit(Instr.BRMI i)`
`void` | `visit(Instr.BRNE i)`
`void` | `visit(Instr.BRPL i)`
`void` | `visit(Instr.BRSH i)`
`void` | `visit(Instr.BRTC i)`
`void` | `visit(Instr.BRTS i)`
`void` | `visit(Instr.BRVC i)`
`void` | `visit(Instr.BRVS i)`
`void` | `visit(Instr.BSET i)`
`void` | `visit(Instr.BST i)`
`void` | `visit(Instr.CALL i)`
`void` | `visit(Instr.CBI i)`
`void` | `visit(Instr.CBR i)`
`void` | `visit(Instr.CLC i)`
`void` | `visit(Instr.CLH i)`
`void` | `visit(Instr.CLI i)`
`void` | `visit(Instr.CLN i)`
`void` | `visit(Instr.CLR i)`
`void` | `visit(Instr.CLS i)`
`void` | `visit(Instr.CLT i)`
`void` | `visit(Instr.CLV i)`
`void` | `visit(Instr.CLZ i)`
`void` | `visit(Instr.COM i)`
`void` | `visit(Instr.CP i)`
`void` | `visit(Instr.CPC i)`
`void` | `visit(Instr.CPI i)`
`void` | `visit(Instr.CPSE i)`
`void` | `visit(Instr.DEC i)`
`void` | `visit(Instr.EICALL i)`
`void` | `visit(Instr.EIJMP i)`
`void` | `visit(Instr.ELPM i)`
`void` | `visit(Instr.ELPMD i)`
`void` | `visit(Instr.ELPMPI i)`
`void` | `visit(Instr.EOR i)`
`void` | `visit(Instr.FMUL i)`
`void` | `visit(Instr.FMULS i)`
`void` | `visit(Instr.FMULSU i)`
`void` | `visit(Instr.ICALL i)`
`void` | `visit(Instr.IJMP i)`
`void` | `visit(Instr.IN i)`
`void` | `visit(Instr.INC i)`
`void` | `visit(Instr.JMP i)`
`void` | `visit(Instr.LD i)`
`void` | `visit(Instr.LDD i)`
`void` | `visit(Instr.LDI i)`
`void` | `visit(Instr.LDPD i)`
`void` | `visit(Instr.LDPI i)`
`void` | `visit(Instr.LDS i)`
`void` | `visit(Instr.LPM i)`
`void` | `visit(Instr.LPMD i)`
`void` | `visit(Instr.LPMPI i)`
`void` | `visit(Instr.LSL i)`
`void` | `visit(Instr.LSR i)`
`void` | `visit(Instr.MOV i)`
`void` | `visit(Instr.MOVW i)`
`void` | `visit(Instr.MUL i)`
`void` | `visit(Instr.MULS i)`
`void` | `visit(Instr.MULSU i)`
`void` | `visit(Instr.NEG i)`
`void` | `visit(Instr.NOP i)`
`void` | `visit(Instr.OR i)`
`void` | `visit(Instr.ORI i)`
`void` | `visit(Instr.OUT i)`
`void` | `visit(Instr.POP i)`
`void` | `visit(Instr.PUSH i)`
`void` | `visit(Instr.RCALL i)`
`void` | `visit(Instr.RET i)`
`void` | `visit(Instr.RETI i)`
`void` | `visit(Instr.RJMP i)`
`void` | `visit(Instr.ROL i)`
`void` | `visit(Instr.ROR i)`
`void` | `visit(Instr.SBC i)`
`void` | `visit(Instr.SBCI i)`
`void` | `visit(Instr.SBI i)`
`void` | `visit(Instr.SBIC i)`
`void` | `visit(Instr.SBIS i)`
`void` | `visit(Instr.SBIW i)`
`void` | `visit(Instr.SBR i)`
`void` | `visit(Instr.SBRC i)`
`void` | `visit(Instr.SBRS i)`
`void` | `visit(Instr.SEC i)`
`void` | `visit(Instr.SEH i)`
`void` | `visit(Instr.SEI i)`
`void` | `visit(Instr.SEN i)`
`void` | `visit(Instr.SER i)`
`void` | `visit(Instr.SES i)`
`void` | `visit(Instr.SET i)`
`void` | `visit(Instr.SEV i)`
`void` | `visit(Instr.SEZ i)`
`void` | `visit(Instr.SLEEP i)`
`void` | `visit(Instr.SPM i)`
`void` | `visit(Instr.ST i)`
`void` | `visit(Instr.STD i)`
`void` | `visit(Instr.STPD i)`
`void` | `visit(Instr.STPI i)`
`void` | `visit(Instr.STS i)`
`void` | `visit(Instr.SUB i)`
`void` | `visit(Instr.SUBI i)`
`void` | `visit(Instr.SWAP i)`
`void` | `visit(Instr.TST i)`
`void` | `visit(Instr.WDR i)`

Method Detail

### visit

    public void visit(Instr.ADC i)

### visit

    public void visit(Instr.ADD i)

### visit

    public void visit(Instr.ADIW i)

### visit

    public void visit(Instr.AND i)

### visit

    public void visit(Instr.ANDI i)

### visit

    public void visit(Instr.ASR i)

### visit

    public void visit(Instr.BCLR i)

### visit

    public void visit(Instr.BLD i)

### visit

    public void visit(Instr.BRBC i)

### visit

    public void visit(Instr.BRBS i)

### visit

    public void visit(Instr.BRCC i)

### visit

    public void visit(Instr.BRCS i)

### visit

    public void visit(Instr.BREAK i)

### visit

    public void visit(Instr.BREQ i)

### visit

    public void visit(Instr.BRGE i)

### visit

    public void visit(Instr.BRHC i)

### visit

    public void visit(Instr.BRHS i)

### visit

    public void visit(Instr.BRID i)

### visit

    public void visit(Instr.BRIE i)

### visit

    public void visit(Instr.BRLO i)

### visit

    public void visit(Instr.BRLT i)

### visit

    public void visit(Instr.BRMI i)

### visit

    public void visit(Instr.BRNE i)

### visit

    public void visit(Instr.BRPL i)

### visit

    public void visit(Instr.BRSH i)

### visit

    public void visit(Instr.BRTC i)

### visit

    public void visit(Instr.BRTS i)

### visit

    public void visit(Instr.BRVC i)

### visit

    public void visit(Instr.BRVS i)

### visit

    public void visit(Instr.BSET i)

### visit

    public void visit(Instr.BST i)

### visit

    public void visit(Instr.CALL i)

### visit

    public void visit(Instr.CBI i)

### visit

    public void visit(Instr.CBR i)

### visit

    public void visit(Instr.CLC i)

### visit

    public void visit(Instr.CLH i)

### visit

    public void visit(Instr.CLI i)

### visit

    public void visit(Instr.CLN i)

### visit

    public void visit(Instr.CLR i)

### visit

    public void visit(Instr.CLS i)

### visit

    public void visit(Instr.CLT i)

### visit

    public void visit(Instr.CLV i)

### visit

    public void visit(Instr.CLZ i)

### visit

    public void visit(Instr.COM i)

### visit

    public void visit(Instr.CP i)

### visit

    public void visit(Instr.CPC i)

### visit

    public void visit(Instr.CPI i)

### visit

    public void visit(Instr.CPSE i)

### visit

    public void visit(Instr.DEC i)

### visit

    public void visit(Instr.EICALL i)

### visit

    public void visit(Instr.EIJMP i)

### visit

    public void visit(Instr.ELPM i)

### visit

    public void visit(Instr.ELPMD i)

### visit

    public void visit(Instr.ELPMPI i)

### visit

    public void visit(Instr.EOR i)

### visit

    public void visit(Instr.FMUL i)

### visit

    public void visit(Instr.FMULS i)

### visit

    public void visit(Instr.FMULSU i)

### visit

    public void visit(Instr.ICALL i)

### visit

    public void visit(Instr.IJMP i)

### visit

    public void visit(Instr.IN i)

### visit

    public void visit(Instr.INC i)

### visit

    public void visit(Instr.JMP i)

### visit

    public void visit(Instr.LD i)

### visit

    public void visit(Instr.LDD i)

### visit

    public void visit(Instr.LDI i)

### visit

    public void visit(Instr.LDPD i)

### visit

    public void visit(Instr.LDPI i)

### visit

    public void visit(Instr.LDS i)

### visit

    public void visit(Instr.LPM i)

### visit

    public void visit(Instr.LPMD i)

### visit

    public void visit(Instr.LPMPI i)

### visit

    public void visit(Instr.LSL i)

### visit

    public void visit(Instr.LSR i)

### visit

    public void visit(Instr.MOV i)

### visit

    public void visit(Instr.MOVW i)

### visit

    public void visit(Instr.MUL i)

### visit

    public void visit(Instr.MULS i)

### visit

    public void visit(Instr.MULSU i)

### visit

    public void visit(Instr.NEG i)

### visit

    public void visit(Instr.NOP i)

### visit

    public void visit(Instr.OR i)

### visit

    public void visit(Instr.ORI i)

### visit

    public void visit(Instr.OUT i)

### visit

    public void visit(Instr.POP i)

### visit

    public void visit(Instr.PUSH i)

### visit

    public void visit(Instr.RCALL i)

### visit

    public void visit(Instr.RET i)

### visit

    public void visit(Instr.RETI i)

### visit

    public void visit(Instr.RJMP i)

### visit

    public void visit(Instr.ROL i)

### visit

    public void visit(Instr.ROR i)

### visit

    public void visit(Instr.SBC i)

### visit

    public void visit(Instr.SBCI i)

### visit

    public void visit(Instr.SBI i)

### visit

    public void visit(Instr.SBIC i)

### visit

    public void visit(Instr.SBIS i)

### visit

    public void visit(Instr.SBIW i)

### visit

    public void visit(Instr.SBR i)

### visit

    public void visit(Instr.SBRC i)

### visit

    public void visit(Instr.SBRS i)

### visit

    public void visit(Instr.SEC i)

### visit

    public void visit(Instr.SEH i)

### visit

    public void visit(Instr.SEI i)

### visit

    public void visit(Instr.SEN i)

### visit

    public void visit(Instr.SER i)

### visit

    public void visit(Instr.SES i)

### visit

    public void visit(Instr.SET i)

### visit

    public void visit(Instr.SEV i)

### visit

    public void visit(Instr.SEZ i)

### visit

    public void visit(Instr.SLEEP i)

### visit

    public void visit(Instr.SPM i)

### visit

    public void visit(Instr.ST i)

### visit

    public void visit(Instr.STD i)

### visit

    public void visit(Instr.STPD i)

### visit

    public void visit(Instr.STPI i)

### visit

    public void visit(Instr.STS i)

### visit

    public void visit(Instr.SUB i)

### visit

    public void visit(Instr.SUBI i)

### visit

    public void visit(Instr.SWAP i)

### visit

    public void visit(Instr.TST i)

### visit

    public void visit(Instr.WDR i)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD